Package org.apache.torque.generator.source.stream

## Class SourceToXml

- java.lang.Object
- - org.apache.torque.generator.source.stream.SourceToXml

-     public class SourceToXml
      extends Object

  Creates an xml String out of a source tree.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceToXml()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIndent()` | Returns the String by which a child element is indented relative to its parent.
    `void` | `setIndent​(String indent)` | Sets the String by which a child element is indented relative to its parent.
    `String` | `toXml​(SourceElement rootElement, boolean createIdAttributes)` | Renders a source element and its children as XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceToXml

          public SourceToXml()

  - ### Method Detail

    - #### toXml

          public String toXml​(SourceElement rootElement,
                              boolean createIdAttributes)
                       throws SourceException

      Renders a source element and its children as XML.
      Parameters:
        `rootElement` - the element to render.
        `createIdAttributes` - whether id attributes should be created and filled automatically.
      Returns:
        the created XML.
      Throws:
        `SourceException` - if automaticIds is false and an element is encountered twice in the source tree.

    - #### getIndent

          public String getIndent()

      Returns the String by which a child element is indented relative to its parent.
      Returns:
        the indent String.

    - #### setIndent

          public void setIndent​(String indent)

      Sets the String by which a child element is indented relative to its parent.
      Parameters:
        `indent` - the indent String to set.